import { writable } from 'svelte/store';

// Using mock data, in a real-world scenario this could be fetched from an API.
const queryMessagesData = [
    {
        text: 'text1',
        date: 'date1',
        id: 'id1'
    },
    {
        text: 'text2',
        date: 'date2',
        id: 'id2'
    }
];

const queryTodosData = [
    {
        name: "todo 1"
    },
    {
        name: "todo 2"
    },
    { name: "todo 3" }
];

// The store that holds the data sets
export const dataStore = writable({
    queryMessages: queryMessagesData,
    queryTodos: queryTodosData
});
